Subject: Re: [bitcoin-dev] Segregated witness softfork with moderate adoption has very small block size effect

From: Peter Todd <[email-masked]>
Date: Sat, 19 Dec 2015 10:48:33 -0800

On Sat, Dec 19, 2015 at 09:37:06PM +0300, Santino Napolitano wrote:
> I disagree. I think all client-side adoption of SW reliably tells you is that those implementers saw value in it greater than the cost of implementation. It's possible what they valued was the malleability fix and didn't see the limited potential circumvention of MAX_BLOCK_SIZE material to their decision.
> 
> They could just as easily attach an OP_RETURN output to all of their transactions which pushes "big blocks please" which would more directly indicate their preference for larger blocks. You could also let hand-signed letters from the heads of businesses explicitly stating their desire speak for their intentions vs. any of this nonsense. Or the media interviews, forum comments, tweets, etc...

Note that English-language measures of Bitcoin usage/activity are very
misleading, as a significant - probably super majority - of economnic
activity happens outside the English language, Western world.
Centralized forums such as twitter and reddit are easily censored and
manipulated. Finally, we can't discount the significant amount of
non-law-abiding Bitcoin economic activity that does happen, and I do not
believe we should adopt consensus-building processes that shut those
stakeholders out of the discussion.

As an aside, I have a friend of mine who made a Bitcoin related product
with non-culturally-specific appeal.  I asked where she was shipping her
product, and it turned out that a super majority went to
non-English-speaking countries. (she might be willing to go on public
record about this; I can ask)

-- 
'peter'[:-1]@petertodd.org
00000000000000000188b6321da7feae60d74c7b0becbdab3b1a0bd57f10947d